Index: mscore/libmscore/style.cpp
===================================================================
--- mscore/libmscore/style.cpp	(revision 5043)
+++ mscore/libmscore/style.cpp	(working copy)
@@ -1285,10 +1285,14 @@
 //---------------------------------------------------------
 
 const TextStyle& MStyle::textStyle(TextStyleType idx) const
-      {
-      return d->textStyle(idx);
-      }
-
+{
+    if( (TextStyleType)idx == TEXT_STYLE_INVALID ){ //Hack If no style like copyrigth style in 1.1 to avoid crash
+        qDebug("TextStyle idx <%i> not found\n", idx );
+        return d->textStyle(0);
+    }
+    else
+        return d->textStyle(idx);
+}
 const TextStyle& MStyle::textStyle(const QString& name) const
       {
       return d->textStyle(name);
Index: mscore/libmscore/text.cpp
===================================================================
--- mscore/libmscore/text.cpp	(revision 5043)
+++ mscore/libmscore/text.cpp	(working copy)
@@ -487,7 +487,8 @@
                         case 13: i = TEXT_STYLE_TECHNIK;   break;
                         case 14: i = TEXT_STYLE_TEMPO;     break;
                         case 15: i = TEXT_STYLE_METRONOME; break;
-                        case 16: i = TEXT_STYLE_INVALID; break;
+                      //                        case 16: i = TEXT_STYLE_INVALID; break;
+                        case 16: i = TEXT_STYLE_FOOTER; break;
                         case 17: i = TEXT_STYLE_MEASURE_NUMBER; break;
                         case 18: i = TEXT_STYLE_FOOTER; break;    // TEXT_STYLE_PAGE_NUMBER_ODD
                         case 19: i = TEXT_STYLE_FOOTER; break;    // TEXT_STYLE_PAGE_NUMBER_EVEN
